com.versionone.apiclient.interfaces

## Enum IAttributeDefinition.AttributeType

- java.lang.Object
- - java.lang.Enum<IAttributeDefinition.AttributeType>
  - - com.versionone.apiclient.interfaces.IAttributeDefinition.AttributeType

- All Implemented Interfaces:
    Serializable, Comparable<IAttributeDefinition.AttributeType>
  Enclosing interface:
    IAttributeDefinition

      public static enum IAttributeDefinition.AttributeType
      extends Enum<IAttributeDefinition.AttributeType>

  Supported attribute types

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AssetType`
    `Blob`
    `Boolean`
    `Date`
    `Duration`
    `Guid`
    `LocalizerTag`
    `LongInt`
    `LongText`
    `Numeric`
    `Opaque`
    `Password`
    `Rank`
    `Relation`
    `State`
    `Text`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IAttributeDefinition.AttributeType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static IAttributeDefinition.AttributeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Boolean

          public static final IAttributeDefinition.AttributeType Boolean

    - #### Numeric

          public static final IAttributeDefinition.AttributeType Numeric

    - #### Date

          public static final IAttributeDefinition.AttributeType Date

    - #### Duration

          public static final IAttributeDefinition.AttributeType Duration

    - #### Text

          public static final IAttributeDefinition.AttributeType Text

    - #### LongText

          public static final IAttributeDefinition.AttributeType LongText

    - #### LocalizerTag

          public static final IAttributeDefinition.AttributeType LocalizerTag

    - #### Password

          public static final IAttributeDefinition.AttributeType Password

    - #### AssetType

          public static final IAttributeDefinition.AttributeType AssetType

    - #### Relation

          public static final IAttributeDefinition.AttributeType Relation

    - #### Opaque

          public static final IAttributeDefinition.AttributeType Opaque

    - #### State

          public static final IAttributeDefinition.AttributeType State

    - #### Rank

          public static final IAttributeDefinition.AttributeType Rank

    - #### Blob

          public static final IAttributeDefinition.AttributeType Blob

    - #### LongInt

          public static final IAttributeDefinition.AttributeType LongInt

    - #### Guid

          public static final IAttributeDefinition.AttributeType Guid

  - ### Method Detail

    - #### values

          public static IAttributeDefinition.AttributeType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IAttributeDefinition.AttributeType c : IAttributeDefinition.AttributeType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IAttributeDefinition.AttributeType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2022 VersionOne, Inc.. All rights reserved.